package com.st.stm32cube.ide.mcu.debug.launch.export;

public interface HardwareDebugConstants {
  public static final String DEBUGGER_ID = "org.eclipse.cdt.debug.mi.core.CDebuggerNew";
  
  public static final String MAIN_PAGE_PREFS_ID = "com.st.stm32cube.ide.mcu.debug.launch.mainpage";
  
  public static final String ATTR_FORMAT_VERSION = "com.st.stm32cube.ide.mcu.debug.launch.formatVersion";
  
  public static final int CURRENT_FORMAT_VERSION = 2;
  
  public static final String HARDWARE_DEBUG_PROCESS_FACTORY_ID = "com.st.stm32cube.ide.mcu.debug.launch.HardwareDebugProcessFactory";
  
  public static final String GDBSERVER_PROCESS_CREATION_VALUE = "com.st.stm32cube.ide.mcu.debug.launch.gdbServerProcess";
  
  public static final String ATTR_USE_REMOTE_TARGET = "com.st.stm32cube.ide.mcu.debug.launch.useRemoteTarget";
  
  public static final String ATTR_IP_ADDRESS = "org.eclipse.cdt.debug.gdbjtag.core.ipAddress";
  
  public static final String ATTR_IP_ADDRESS_LOCAL = "com.st.stm32cube.ide.mcu.debug.launch.ip_address_local";
  
  public static final String ATTR_PORT_NUMBER = "org.eclipse.cdt.debug.gdbjtag.core.portNumber";
  
  public static final String ATTR_JTAG_DEVICE_ID = "org.eclipse.cdt.debug.gdbjtag.core.jtagDeviceId";
  
  public static final String ATTR_JTAG_DEVICE_NAME = "org.eclipse.cdt.debug.gdbjtag.core.jtagDevice";
  
  public static final String ATTR_START_SERVER = "com.st.stm32cube.ide.mcu.debug.launch.startServer";
  
  public static final String ATTR_SERVER = "com.st.stm32cube.ide.mcu.debug.launch.server";
  
  public static final String ATTR_TARGET_DEVICE = "com.st.stm32cube.ide.mcu.debug.launch.targetDevice";
  
  public static final String ATTR_ACCESS_PORT_ID = "com.st.stm32cube.ide.mcu.debug.launch.access_port_id";
  
  public static final boolean DEFAULT_USE_REMOTE_TARGET = true;
  
  public static final String DEFAULT_IP_ADDRESS = "localhost";
  
  public static final int DEFAULT_PORT_NUMBER = 10000;
  
  public static final boolean DEFAULT_START_SERVER = true;
  
  public static final String DEFAULT_SERVER = "Generic";
  
  public static final String DEFAULT_ACCESS_PORT_ID = "0";
  
  public static final boolean DEFAULT_DO_RESET = true;
  
  public static final boolean DEFAULT_DO_HALT = true;
  
  public static final int DEFAULT_DELAY = 3;
  
  public static final boolean DEFAULT_LOAD_IMAGE = false;
  
  public static final boolean DEFAULT_LOAD_SYMBOLS = false;
  
  public static final boolean DEFAULT_SET_PC_REGISTER = false;
  
  public static final String DEFAULT_VECTOR_TABLE = "";
  
  public static final boolean DEFAULT_SET_STOP_AT = false;
  
  public static final boolean DEFAULT_SET_RESUME = false;
  
  public static final boolean DEFAULT_USE_DEFAULT_RUN = true;
  
  public static final boolean DEFAULT_VERIFY_DOWNLOAD = true;
  
  public static final boolean DEFAULT_SET_HALT_ON_EXCEPTION = true;
  
  public static final boolean DEFAULT_SET_EXCEPTION_ON_DIV_BY_0 = true;
  
  public static final boolean DEFAULT_SET_EXCEPTION_ON_UNALIGNED = false;
  
  public static final String REM_COMMAND_VAL_REMOTE = "target remote";
  
  public static final String REM_COMMAND_VAL_EX_REMOTE = "target extended-remote";
  
  public static final String DEFAULT_REM_COMMAND = "target remote";
  
  public static final String ATTR_REM_COMMAND = "com.st.stm32cube.ide.mcu.debug.launch.remoteCommand";
  
  public static final String ATTR_OVERRIDE_START_ADDRESS_MODE = "com.st.stm32cube.ide.mcu.debug.launch.override_start_address_mode";
  
  public static final String OVERRIDE_START_ADDRESS_MODE_PC = "pc";
  
  public static final String OVERRIDE_START_ADDRESS_MODE_VECTOR = "vector_table";
  
  public static final String OVERRIDE_START_ADDRESS_MODE_DEFAULT = "default";
  
  public static final String DEFAULT_OVERRIDE_START_ADDRESS_MODE = "default";
  
  public static final String ATTR_VECTOR_TABLE = "com.st.stm32cube.ide.mcu.debug.launch.vector_table";
  
  public static final String ATTR_SWV_PORT = "com.st.stm32cube.ide.mcu.debug.launch.swv_port";
  
  public static final String ATTR_SWV_LIMIT_SWO_CLOCK_ENABLED = "com.st.stm32cube.ide.mcu.debug.launch.limit_swo_clock.enabled";
  
  public static final String ATTR_SWV_LIMIT_SWO_CLOCK_VALUE = "com.st.stm32cube.ide.mcu.debug.launch.limit_swo_clock.value";
  
  public static final String ATTR_SWV_TRACE_HCLK = "com.st.stm32cube.ide.mcu.debug.launch.swv_trace_hclk";
  
  public static final String ATTR_SWD_MODE = "com.st.stm32cube.ide.mcu.debug.launch.swd_mode";
  
  public static final String ATTR_ETM_SAVE_RAW_BUFFER = "com.st.stm32cube.ide.mcu.debug.launch.etm_save_raw_buffer";
  
  public static final String ATTR_ETM_SAVE_RAW_BUFFER_FILE_PATH = "com.st.stm32cube.ide.mcu.debug.launch.etm_save_raw_buffer_file_path";
  
  public static final String ATTR_ENABLE_LIVE_EXPR = "com.st.stm32cube.ide.mcu.debug.launch.enable_live_expr";
  
  public static final String ATTR_VERIFY_FLASH_DOWNLOAD = "com.st.stm32cube.ide.mcu.debug.launch.verify_flash_download";
  
  public static final String ATTR_SET_EXCEPTION_ON_DIV_BY_0 = "com.st.stm32cube.ide.mcu.debug.launch.startuptab.exception.divby0";
  
  public static final String ATTR_SET_EXCEPTION_ON_UNALIGNED = "com.st.stm32cube.ide.mcu.debug.launch.startuptab.exception.unaligned";
  
  public static final String ATTR_SET_HALT_ON_EXCEPTION = "com.st.stm32cube.ide.mcu.debug.launch.startuptab.haltonexception";
  
  public static final String ATTR_ENABLE_SWV = "com.st.stm32cube.ide.mcu.debug.launch.enable_swv";
  
  public static final String ATTR_SWV_CONFIG_ENABLED = "com.st.stm32cube.ide.mcu.debug.launch.swv_config_enabled";
  
  public static final String ATTR_LOAD_LIST = "com.st.stm32cube.ide.mcu.debug.launch.loadList";
  
  public static final String ATTR_CUBEPROG_EXTERNAL_LOADERS = "com.st.stm32cube.ide.mcu.debug.launch.cubeprog_external_loaders";
}


/* Location:              C:\ST\test\ori\com.st.stm32cube.ide.mcu.debug.launch_3.0.200.202210191513.jar!\com\st\stm32cube\ide\mcu\debug\launch\export\HardwareDebugConstants.class
 * Java compiler version: 8 (52.0)
 * JD-Core Version:       1.1.3
 */