/*     */ package com.st.stm32cube.ide.mcu.debug.launch.ui.status;
/*     */ 
/*     */ import java.util.Map;
/*     */ import org.eclipse.jface.layout.GridLayoutFactory;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.ui.ISourceProvider;
/*     */ import org.eclipse.ui.ISourceProviderListener;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import org.eclipse.ui.menus.WorkbenchWindowControlContribution;
/*     */ import org.eclipse.ui.services.ISourceProviderService;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SecureWorkbenchWindowControlContribution
/*     */   extends WorkbenchWindowControlContribution
/*     */ {
/*     */   private Label fSecureLabel;
/*     */   private ISourceProvider fSourceProvider;
/*     */   private ISourceProviderListener fSecureSourceProviderLiestener;
/*     */   
/*     */   public SecureWorkbenchWindowControlContribution() {}
/*     */   
/*     */   public SecureWorkbenchWindowControlContribution(String id) {
/*  51 */     super(id);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isDynamic() {
/*  60 */     return true;
/*     */   }
/*     */ 
/*     */   
/*     */   public void dispose() {
/*  65 */     this.fSourceProvider.removeSourceProviderListener(this.fSecureSourceProviderLiestener);
/*  66 */     super.dispose();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createControl(Composite parent) {
/*  81 */     parent.getParent().setRedraw(true);
/*     */     
/*  83 */     Composite comp = new Composite(parent, 0);
/*  84 */     GridLayoutFactory.fillDefaults().applyTo(comp);
/*     */     
/*  86 */     this.fSecureLabel = new Label(comp, 0);
/*  87 */     GridData gd = new GridData();
/*  88 */     gd.widthHint = 80;
/*  89 */     this.fSecureLabel.setLayoutData(gd);
/*  90 */     this.fSecureLabel.setText("");
/*     */ 
/*     */     
/*  93 */     ISourceProviderService service = (ISourceProviderService)PlatformUI.getWorkbench().getService(ISourceProviderService.class);
/*  94 */     this.fSourceProvider = service.getSourceProvider("com.st.stm32cube.ide.mcu.debug.launch.ui.status.secureState");
/*  95 */     if (this.fSourceProvider != null) {
/*  96 */       this.fSourceProvider.addSourceProviderListener(this.fSecureSourceProviderLiestener = new ISourceProviderListener()
/*     */           {
/*     */             public void sourceChanged(int sourcePriority, String sourceName, final Object sourceValue) {
/*  99 */               if ("com.st.stm32cube.ide.mcu.debug.launch.ui.status.secureState".equals(sourceName)) {
/* 100 */                 PlatformUI.getWorkbench().getDisplay().asyncExec(new Runnable()
/*     */                     {
/*     */                       public void run() {
/* 103 */                         if (!(SecureWorkbenchWindowControlContribution.null.access$0(SecureWorkbenchWindowControlContribution.null.this)).fSecureLabel.isDisposed()) {
/* 104 */                           (SecureWorkbenchWindowControlContribution.null.access$0(SecureWorkbenchWindowControlContribution.null.this)).fSecureLabel.setText((String)sourceValue);
/* 105 */                           (SecureWorkbenchWindowControlContribution.null.access$0(SecureWorkbenchWindowControlContribution.null.this)).fSecureLabel.setToolTipText("CPU in " + sourceValue + " state");
/* 106 */                           (SecureWorkbenchWindowControlContribution.null.access$0(SecureWorkbenchWindowControlContribution.null.this)).fSecureLabel.getParent().layout();
/*     */                         } 
/*     */                       }
/*     */                     });
/*     */               }
/*     */             }
/*     */ 
/*     */ 
/*     */ 
/*     */             
/*     */             public void sourceChanged(int sourcePriority, Map sourceValuesByName) {}
/*     */           });
/*     */     }
/* 119 */     return (Control)parent;
/*     */   }
/*     */ }


/* Location:              C:\ST\test\mod\com.st.stm32cube.ide.mcu.debug.launch_3.0.200.202210191513\!\com\st\stm32cube\ide\mcu\debug\launc\\ui\status\SecureWorkbenchWindowControlContribution.class
 * Java compiler version: 8 (52.0)
 * JD-Core Version:       1.1.3
 */